CREATE TABLE hey_act_ru_batch (
    ID                     VARCHAR2(256) ,
    REV                    NUMBER            NOT NULL,
    TYPE                   VARCHAR2(1020),
    TOTAL_JOBS             NUMBER        ,
    JOBS_CREATED           NUMBER        ,
    JOBS_PER_SEED          NUMBER        ,
    INVOCATIONS_PER_JOB    NUMBER        ,
    SEED_JOB_DEF_ID        VARCHAR2(256) ,
    BATCH_JOB_DEF_ID       VARCHAR2(256) ,
    MONITOR_JOB_DEF_ID     VARCHAR2(256) ,
    SUSPENSION_STATE       NUMBER        ,
    CONFIGURATION          VARCHAR2(1020),
    TENANT_ID              VARCHAR2(256) ,
    START_TIME             TIMESTAMP(6)  ,
    EXEC_START_TIME        TIMESTAMP(6)  ,
    CREATE_USER_ID         VARCHAR2(1020),
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    ID                     VARCHAR2(256) ,
    REV                    NUMBER            NOT NULL,
    TYPE                   VARCHAR2(1020),
    TOTAL_JOBS             NUMBER        ,
    JOBS_CREATED           NUMBER        ,
    JOBS_PER_SEED          NUMBER        ,
    INVOCATIONS_PER_JOB    NUMBER        ,
    SEED_JOB_DEF_ID        VARCHAR2(256) ,
    BATCH_JOB_DEF_ID       VARCHAR2(256) ,
    MONITOR_JOB_DEF_ID     VARCHAR2(256) ,
    SUSPENSION_STATE       NUMBER        ,
    CONFIGURATION          VARCHAR2(1020),
    TENANT_ID              VARCHAR2(256) ,
    CREATE_USER_ID         VARCHAR2(1020),
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    START_TIME             TIMESTAMP(6)  ,
    EXEC_START_TIME        TIMESTAMP(6)  ,
    CONSTRAINT pk_hey_act_ru_batch PRIMARY KEY (ID, ID)
);
